## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.caseexpr
Class CaseSimpleWhenContentElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.caseexpr.CaseSimpleWhenContentElement

    public class CaseSimpleWhenContentElement

extends java.lang.Object

Constructor Summary
`CaseSimpleWhenContentElement(ValueExpressionCaseSimple caseSimpleClause, ValueExpressionCaseSimpleContent content, boolean firstClause)`

Method Summary
`void` `deleteSimpleWhenClause()`
`java.lang.String` `getColumnText(int columnIndex)`
`java.lang.Object` `getResult()`
`ValueExpressionCaseSimple` `getSQLCaseSimpleWhenClause()`
`ValueExpressionCaseSimpleContent` `getSQLCaseSimpleWhenContent(int i)`
`java.lang.Object` `getWhen()`
`void` `setResultExpression(java.lang.Object resultObj)`
`void` `setWhenExpression(java.lang.Object whenObj)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaseSimpleWhenContentElement

    public CaseSimpleWhenContentElement(ValueExpressionCaseSimple caseSimpleClause,
                                        ValueExpressionCaseSimpleContent content,
                                        boolean firstClause)

Method Detail

### getSQLCaseSimpleWhenClause

    public ValueExpressionCaseSimple getSQLCaseSimpleWhenClause()

### getSQLCaseSimpleWhenContent

    public ValueExpressionCaseSimpleContent getSQLCaseSimpleWhenContent(int i)

### setWhenExpression

    public void setWhenExpression(java.lang.Object whenObj)

### setResultExpression

    public void setResultExpression(java.lang.Object resultObj)

### getWhen

    public java.lang.Object getWhen()

### getResult

    public java.lang.Object getResult()

### deleteSimpleWhenClause

    public void deleteSimpleWhenClause()

### getColumnText

    public java.lang.String getColumnText(int columnIndex)